﻿using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Reflection;

namespace TCUR400_AJPS
{
    public partial class FMain : Form
    {
        int screen= -1;
        int selected= -1;

        public FMain()
        {
            InitializeComponent();
            InitButtonHandler();

            // 폼 자식관계 입력
            SFMain.MainForm = this;
            SFMain.AddChildForm(SIFMain_Detail);
            SFMain.AddChildForm(SIFMain_Setting);
            SFMain.AddChildForm(SIFMain_Sync);
            SFMain.ChildFormLocation(0, 19);
        }

        private void FMain_Load(object sender, EventArgs e)
        {
            screen = SetScreen(Screen.MAIN_IDLE);
        }

        /// <summary>
        /// Main Detail 화면 진입
        /// </summary>
        /// <param name="_selected"></param>
        /// <returns></returns>
        private void SelectDevice(int _selected)
        {
            selected = _selected;
            screen = SetScreen(Screen.MAIN_DETAIL);
        }
        private void SelectDevice1(object sender, EventArgs e) {SelectDevice(1);}
        private void SelectDevice2(object sender, EventArgs e) {SelectDevice(2);}
        private void SelectDevice3(object sender, EventArgs e) {SelectDevice(3);}
        private void SelectDevice4(object sender, EventArgs e) {SelectDevice(4);}
        

        /// <summary>
        /// 화면 세팅
        /// </summary>
        /// <param name="_screen">Screen 변수</param>
        /// <returns>입력한 Screen 변수 반환</returns>
        private int SetScreen(int _screen)
        {
            switch (_screen)
            {
                case Screen.MAIN_IDLE:
                    btn_Main1.UpImage = Properties.Resources.icon_home_focus;
                    btn_Main1.DownImage = Properties.Resources.icon_home_clicked;

                    btn_Main2.UpImage = Properties.Resources.icon_dio_idle;
                    btn_Main2.DownImage = Properties.Resources.icon_dio_clicked;

                    btn_Main3.UpImage = Properties.Resources.icon_comlan_idle;
                    btn_Main3.DownImage = Properties.Resources.icon_comlan_clicked;

                    btn_Main4.UpImage = Properties.Resources.icon_monitor_idle;
                    btn_Main4.DownImage = Properties.Resources.icon_monitor_clicked;

                    btn_Main5.UpImage = Properties.Resources.icon_dummy;
                    btn_Main5.DownImage = Properties.Resources.icon_dummy;

                    btn_Main6.UpImage = Properties.Resources.icon_tcur400_idle;
                    btn_Main6.DownImage = Properties.Resources.icon_tcur400_clicked;
                    break;

                case Screen.MAIN_DETAIL:
                    btn_Main1.UpImage = Properties.Resources.icon_home_focus;
                    btn_Main1.DownImage = Properties.Resources.icon_home_clicked;

                    if (selected == 1)
                    {
                        btn_Main2.UpImage = Properties.Resources.icon_ai_page1;
                        btn_Main2.DownImage = Properties.Resources.icon_ai_page1;
                    }
                    else if (selected == 2)
                    {
                        btn_Main2.UpImage = Properties.Resources.icon_ai_page2;
                        btn_Main2.DownImage = Properties.Resources.icon_ai_page2;
                    }
                    else if (selected == 3)
                    {
                        btn_Main2.UpImage = Properties.Resources.icon_ai_page3;
                        btn_Main2.DownImage = Properties.Resources.icon_ai_page3;   
                    }
                    else
                    {
                        btn_Main2.UpImage = Properties.Resources.icon_ai_page4;
                        btn_Main2.DownImage = Properties.Resources.icon_ai_page4;
                    }
                    btn_Main3.UpImage = Properties.Resources.icon_dummy;
                    btn_Main3.DownImage = Properties.Resources.icon_dummy;
                    btn_Main4.UpImage = Properties.Resources.icon_dummy;
                    btn_Main4.DownImage = Properties.Resources.icon_dummy;
                    btn_Main5.UpImage = Properties.Resources.icon_dummy;
                    btn_Main5.DownImage = Properties.Resources.icon_dummy;

                    btn_Main6.UpImage = Properties.Resources.icon_setting_idle;
                    btn_Main6.DownImage = Properties.Resources.icon_setting_clicked;
                    break;

                case Screen.MAIN_SETTING:
                    btn_Main1.UpImage = Properties.Resources.icon_home_focus;
                    btn_Main1.DownImage = Properties.Resources.icon_home_clicked;

                    if (selected == 1)
                    {
                        btn_Main2.UpImage = Properties.Resources.icon_ai_page1;
                        btn_Main2.DownImage = Properties.Resources.icon_ai_page1;
                    }
                    else if (selected == 2)
                    {
                        btn_Main2.UpImage = Properties.Resources.icon_ai_page2;
                        btn_Main2.DownImage = Properties.Resources.icon_ai_page2;
                    }
                    else if (selected == 3)
                    {
                        btn_Main2.UpImage = Properties.Resources.icon_ai_page3;
                        btn_Main2.DownImage = Properties.Resources.icon_ai_page3;
                    }
                    else
                    {
                        btn_Main2.UpImage = Properties.Resources.icon_ai_page4;
                        btn_Main2.DownImage = Properties.Resources.icon_ai_page4;
                    }
                    btn_Main3.UpImage = Properties.Resources.icon_dummy;
                    btn_Main3.DownImage = Properties.Resources.icon_dummy;

                    btn_Main4.UpImage = Properties.Resources.icon_sync_idle;
                    btn_Main4.DownImage = Properties.Resources.icon_sync_clicked;

                    btn_Main5.UpImage = Properties.Resources.icon_cancel_idle;
                    btn_Main5.DownImage = Properties.Resources.icon_cancel_clicked;

                    btn_Main6.UpImage = Properties.Resources.icon_save_idle;
                    btn_Main6.DownImage = Properties.Resources.icon_save_clicked;
                    break;

                case Screen.MAIN_SYNC:
                    btn_Main1.UpImage = Properties.Resources.icon_home_focus;
                    btn_Main1.DownImage = Properties.Resources.icon_home_clicked;
                    if (selected == 1)
                    {
                        btn_Main2.UpImage = Properties.Resources.icon_ai_page1;
                        btn_Main2.DownImage = Properties.Resources.icon_ai_page1;
                    }
                    else if (selected == 2)
                    {
                        btn_Main2.UpImage = Properties.Resources.icon_ai_page2;
                        btn_Main2.DownImage = Properties.Resources.icon_ai_page2;
                    }
                    else if (selected == 3)
                    {
                        btn_Main2.UpImage = Properties.Resources.icon_ai_page3;
                        btn_Main2.DownImage = Properties.Resources.icon_ai_page3;
                    }
                    else
                    {
                        btn_Main2.UpImage = Properties.Resources.icon_ai_page4;
                        btn_Main2.DownImage = Properties.Resources.icon_ai_page4;
                    }
                    btn_Main3.UpImage = Properties.Resources.icon_dummy;
                    btn_Main3.DownImage = Properties.Resources.icon_dummy;
                    btn_Main4.UpImage = Properties.Resources.icon_dummy;
                    btn_Main4.DownImage = Properties.Resources.icon_dummy;

                    btn_Main5.UpImage = Properties.Resources.icon_cancel_idle;
                    btn_Main5.DownImage = Properties.Resources.icon_cancel_clicked;

                    btn_Main6.UpImage = Properties.Resources.icon_save_idle;
                    btn_Main6.DownImage = Properties.Resources.icon_save_clicked;
                    break;
            }

            ChangeClickHandler(screen, _screen);
            SFMain.Show(_screen);

            return _screen;
        }
    }
}